---
updatedAt: 2026-02-10T11:59:08.000Z
---

# Export Audit Records

**This API requires the Account Administrator role.**

Exports the audit records within the date-time range in CSV format.

A maximum of 1000 records can be exported for a given date-time range per request.

If the number of records within a date-time range exceeds the maximum then this API will
return a _HTTP 400 Bad Request_. This response will contain:
* A human readable message explaining the issue.
* A unique error code that a client can use to identify the issue.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Element Inventory",
    "description": "The Element Inventory Service API is use to manage information about Elements.\n\nElement Inventory Services will support multiple ways to provision Elements\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.1"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/inventory/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Audit Records",
      "description": "Search or export audit records for auditable objects.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/audit-records:export": {
      "post": {
        "tags": [
          "Audit Records"
        ],
        "summary": "Export Audit Records",
        "description": "**This API requires the Account Administrator role.**\n\nExports the audit records within the date-time range in CSV format.\n\nA maximum of 1000 records can be exported for a given date-time range per request.\n\nIf the number of records within a date-time range exceeds the maximum then this API will\nreturn a _HTTP 400 Bad Request_. This response will contain:\n* A human readable message explaining the issue.\n* A unique error code that a client can use to identify the issue.\n",
        "operationId": "exportAuditRecords",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "name": "orderBy",
            "in": "query",
            "description": "Field name on which sorting needs to be performed. The possible fields\nyou ordered on are **date (date of audit record)** and **author**.\nField Names are case-senstive (should be written as it is in description). The default sorting order is descending. To specify ascending order, a suffix \" asc\" should be added. For example, \"date asc\" for ascending or \"date desc\" for descending\".\n",
            "required": false,
            "schema": {
              "type": "string",
              "minLength": 4,
              "maxLength": 23,
              "example": "date desc"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AuditSearchFilter"
              },
              "examples": {
                "Export-Audit-Records": {
                  "$ref": "#/components/examples/SearchAuditRecordsRequest"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/csv": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                },
                "example": "Account Id,Date,Event,Author,IP Address,Type,Audit Data\nABCDEF,2021-11-14T09:24:05.234Z,CREATED,jsmith@example.com,165.225.72.60,ELEMENT,\"{\"\"name\"\":\"\"Avaya Cloud Office\"\",\"\"didNumbers\"\":[\"\"+16062128688\"\",\"\"+12702289911\"\"],\"\"elementType\"\":\"\"ACO\"\",\"\"environment\"\":\"\"Production\"\",\"\"sipServerHostName\"\":\"\"sip://platform.ringcentral.com/restapi/v1\"\"}\"\n"
              }
            }
          },
          "400": {
            "description": "BadRequest",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Problem"
                },
                "examples": {
                  "Too-many-records": {
                    "$ref": "#/components/examples/ErrorTooManyRecords"
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "AuditSearchFilter": {
        "type": "object",
        "description": "The filter to be applied when searching for audit records.\n",
        "properties": {
          "startDate": {
            "type": "string",
            "format": "date-time",
            "description": "The starting datetime to use when searching for audit records (in ISO 8601 format including timezone, 'yyyy-MM-dd'T'HH:mm:ss[.SSS]Z').\n",
            "example": "2021-11-13T20:25:39.534Z"
          },
          "endDate": {
            "type": "string",
            "format": "date-time",
            "description": "The ending datetime to use when searching for audit records (in ISO 8601 format including timezone, 'yyyy-MM-dd'T'HH:mm:ss[.SSS]Z').\n",
            "example": "2021-11-15T16:07:12.723Z"
          },
          "author": {
            "type": "string",
            "description": "The ID of the author who changed the auditable object. This can be a user within the system or an automated app.\n",
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9@._-]+$",
            "example": "jsmith@example.com"
          },
          "event": {
            "type": "string",
            "description": "This field indicates the type of event that occurred on the auditable object.\n\nAn explanation of the values is listed below:\n  * CREATED - A new auditable object was created.\n  * UPDATED - An existing auditable object was updated.\n  * DELETED - An existing auditable object was deleted.\n",
            "enum": [
              "CREATED",
              "UPDATED",
              "DELETED"
            ]
          },
          "type": {
            "description": "The type of auditable object.\n\nAccepted values:\n  * ELEMENT\n",
            "type": "string",
            "enum": [
              "ELEMENT"
            ],
            "example": "ELEMENT"
          },
          "ipAddress": {
            "description": "The originating IP Address of the author who changed the auditable object.\n",
            "type": "string",
            "maxLength": 15,
            "example": "165.225.72.60"
          },
          "searchKeyword": {
            "description": "Keyword to search for across all the audit records.\n",
            "type": "string",
            "maxLength": 255
          }
        },
        "required": [
          "startDate",
          "endDate",
          "type"
        ]
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      }
    },
    "examples": {
      "ErrorTooManyRecords": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "interval",
              "message": "Too many records within the requested time interval.",
              "code": 20007
            }
          ]
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      },
      "SearchAuditRecordsRequest": {
        "value": {
          "startDate": "2021-11-13T20:25:39.534Z",
          "endDate": "2021-11-15T16:07:12.723Z",
          "event": "CREATED",
          "author": "jsmith@example.com",
          "type": "ELEMENT",
          "ipAddress": "165.225.72.60",
          "searchKeyword": "Out-of-Office"
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```